Subject: bug#8947: 24.0.50; `describe-mode': `help-mode-map' pollutes minor mode descriptions

From: Drew Adams <[email-masked]>
Date: Sun, 1 May 2016 13:06:13 -0700 (PDT)

> Hm...  well, after fiddling with this a bit more, I see that it's
> describing all these minor mode bindings in the context of the buffer
> you were in when you called the description command.  I think that's
> correct.  If you have these commands bound to `<' etc in that mode, then
> that is what the help command will say.
> 
> So the form above will give different results when run from, say,
> *scratch* and from a special mode, and that's fine.  Closing.

One of us is missing something, I think.

The recipe I gave was this:

  emacs -Q
 
  Visit any *.el file, hit `C-h m', then search for `Transient'
  ^^^^^^^^^^^^^^^^^^^
  in *Help*.  The help for `transient-mark-mode' says this:
 
  "...for example, incremental search, <, and >."

And I explained the cause: The doc for `transient-mark-mode'
is being picked up after *Help* has become the current buffer.
That is not the correct behavior.

It is NOT being picked up from "the context of the buffer
you were in when you called the description command".  That's
exactly what the bug is: it is NOT behaving as you claim it
is.  It is showing you `transient-mark-mode' bindings for
`Help' mode, not for `Emacs-Lisp' mode, which was the mode
of the buffer where you hit `C-h m'.

This should not have been closed, or else I am truly missing
something.